<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout_baru}">
<head>
    <meta charset="UTF-8">
    <title>Institusi</title>

</head>
<body>
<main layout:fragment="main" class="col-md-9 ms-sm-auto col-lg-10 px-md-4">
    <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
        <h4 class="h4">Institut</h4>
        <!--        <div class="btn-toolbar mb-2 mb-md-0">-->
        <!--            <div class="btn-group me-2">-->
        <!--                <button type="button" class="btn btn-sm btn-outline-secondary">Share</button>-->
        <!--                <button type="button" class="btn btn-sm btn-outline-secondary">Export</button>-->
        <!--            </div>-->
        <!--            <button type="button" class="btn btn-sm btn-outline-secondary dropdown-toggle">-->
        <!--                <span data-feather="calendar" class="align-text-bottom"></span>-->
        <!--                This week-->
        <!--            </button>-->
        <!--        </div>-->
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header" style="text-align: right;">
                    <a th:href="@{/institusi/form}" class="btn btn-info btn-sm"><i class="fa fa-plus-circle"></i> Tambah Data</a>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-12" th:if="${success != null}">
                            <div class="alert alert-success alert-dismissible fade show" role="alert">
                                <strong>Data berhasil di simpan.</strong>
                                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                            </div>
                        </div>
                        <div class="col-md-12" th:if="${delete != null}">
                            <div class="alert alert-danger alert-dismissible fade show" role="alert">
                                <strong>Data berhasil di hapus.</strong>
                                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                            </div>
                        </div>
                        <div class="col-md-12" th:if="${error != null}">
                            <div class="alert alert-danger alert-dismissible fade show" role="alert">
                                <strong th:text="${error}">Data berhasil di hapus.</strong>
                                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                            </div>
                        </div>
                    </div>
                    <div class="table-responsive">
                        <table class="table table-striped table-bordered">
                            <thead class="table-dark" style="--bs-table-bg:#15408d;">
                            <tr>
                                <th>No.</th>
                                <th>Nama</th>
                                <th>Status Akreditasi</th>
                                <th>Alamat</th>
                                <th>Telepon</th>
                                <th>Keterangan</th>
                                <th>Nomor SK</th>
                                <th>Tanggal Kedaluwarsa</th>
                                <th>Status Kedaluwarsa</th>
                                <th></th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr th:each="data, row:${list}">
                                <td th:text="${(row.index + 1)}"></td>
                                <td th:text="${data.nama}"></td>
                                <td th:text="${data.statusAkreditasi}"></td>
                                <td th:text="${data.alamat}"></td>
                                <td th:text="${data.telepon}"></td>
                                <td th:text="${data.keterangan}"></td>
                                <td th:text="${data.noSk}"></td>
                                <td th:text="${data.tanggalKedaluwarsa}"></td>
                                <td th:text="${data.statusKedaluwarsa}"></td>
                                <td>
                                    <a th:href="@{/view-doc/ints/{doc}(doc = ${data.id})}" class="btn btn-primary btn-sm" target="_blank">Lihat Dokumen</a>
                                    <a th:href="@{/institusi/edit(id = ${data.id})}" class="btn btn-warning btn-sm">Edit</a>
                                    <a th:href="@{/institusi/delete/{id}/(id = ${data.id})}" onclick="return confirm('Apakah Anda yakin ingin menghapus data ini ?');" class="btn btn-danger btn-sm">Hapus</a>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</main>
</body>
</html>
